Packages - Bug #2704

Housekeeping # 3018 (open): Various uninstallable packages should be fixed, dropped, or blacklisted.

Packaging Request # 2874 (open): [python2-*]: multiple packages dropped from arch

[h-client] 'pygtk’ dependency error
2020-04-16 01:18 AM - libreuser

Status: fixed
Priority: bug
Assignee: bill-auger

Category:

% Done:

0%

Description
x64
h-client

Versidn
1:0.0a0.dev134-1

After last update (pacman -Syu), 'h-client' cannot be installed because of 'pygtk' and 'usbutils' dependencies not satisfaied. :/

History

#1 - 2020-04-16 06:33 AM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to confirmed

'pygtk’ was dropped from arch and archarm - i am adding it to [pcr] now - i dont think 'usbutils' is a problem though

#2 - 2020-04-16 08:11 AM - bill-auger

- Status changed from confirmed to fixed

libreuser -

i believe that this is fixed now - do write back if you still have trouble

#3 - 2022-08-20 03:31 PM - anonymous

Hello. | have trouble with "pygtk" module. | did not open a new bug report, because apparently this is a continuation of the current one.

$ sudo pacman -S h-client --assume-installed python2-pycurl, libglade, python2-cairo,python2-gobject?2

$ h-client
Traceback (most recent call last):
File "/usr/bin/h-client", line 9, in <module>

load_entry_point ('hclient==0.0a0.dev134', 'console_scripts',

return get_distribution (dist) .load_entry_point (group, name)

File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py",

return ep.load()

File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py",

return self.resolve()

File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py",

module = __import__ (self.module_name, fromlist=['__name__'],
File "/usr/lib/python2.7/site-packages/hclient/gtkclient.py",

import pygtk
ImportError: No module named pygtk

#4 - 2023-01-06 05:52 AM - bill-auger
- Parent task set to #2874

2024-04-20

line

line

line

line

level=0)
line 22,

'h-client'") ()
File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py",

489, in load_entry_point
2852, in load_entry_point
2443, in load

2449, in resolve

in <module>
